Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.integration.ant.container.resin
Class AbstractResinTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.cactus.integration.ant.container.resin.AbstractResinTask

Direct Known Subclasses:
  Resin2xTask, Resin3xTask

public abstract class AbstractResinTask
extends org.apache.tools.ant.Task

Task to start/stop a Resin instance.

Since:
  Cactus 1.7
Version:
  $Id: AbstractResinTask.java 239035 2004-08-15 15:02:27Z vmassol $

Constructor Summary
`AbstractResinTask()`

Method Summary
`org.apache.tools.ant.types.Path` | `createContainerClasspath()` Adds container classpath to the classpath that will be used for starting the container.
`void` | `execute()` Start or stop the container depending on the action asked by the user.
`void` | `setAction(java.lang.String theAction)` Sets the action to execute (either "start" or "stop").
`void` | `setAppend(boolean isAppend)` Sets whether output of the container should be appended to an existing file, or the existing file should be truncated.
`void` | `setDir(java.io.File theDir)` Sets the Resin installation directory.
`void` | `setEarFile(java.io.File theEarFile)` Sets an enterprise application aarchive to deploy.
`void` | `setOutput(java.io.File theOutput)` Sets the file to which output of the container should be written.
`void` | `setPort(int thePort)` Sets the port to which the container should listen.
`void` | `setResinConf(java.io.File theResinConf)` Sets the configuration file to use for the test installation of Resin
`void` | `setTestURL(java.net.URL theTestURL)` Sets the URL to call for testing if the server is running.
`void` | `setTmpDir(java.io.File theTmpDir)` Sets the temporary directory from which the container is run.
`void` | `setWarFile(java.io.File theWarFile)` Sets a web application archive to deploy in the container.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, init, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractResinTask

    public AbstractResinTask()

Method Detail

### setDir

    public final void setDir(java.io.File theDir)

  Sets the Resin installation directory.

  Parameters:
    `theDir` - The directory to set

### setAction

    public void setAction(java.lang.String theAction)

  Sets the action to execute (either "start" or "stop").

  Parameters:
    `theAction` - the action that will be executed by this task

### setWarFile

    public final void setWarFile(java.io.File theWarFile)

  Sets a web application archive to deploy in the container.

  Parameters:
    `theWarFile` - The WAR file to deploy

### setEarFile

    public final void setEarFile(java.io.File theEarFile)

  Sets an enterprise application aarchive to deploy.

  Parameters:
    `theEarFile` - The EAR file to deploy

### setTestURL

    public void setTestURL(java.net.URL theTestURL)

  Sets the URL to call for testing if the server is running.

  Parameters:
    `theTestURL` - the test URL to ping

### setTmpDir

    public final void setTmpDir(java.io.File theTmpDir)

  Sets the temporary directory from which the container is run.

  Parameters:
    `theTmpDir` - The temporary directory to set

### setResinConf

    public final void setResinConf(java.io.File theResinConf)

  Sets the configuration file to use for the test installation of Resin

  Parameters:
    `theResinConf` - The resin.conf file

### setPort

    public final void setPort(int thePort)

  Sets the port to which the container should listen.

  Parameters:
    `thePort` - The port to set

### setOutput

    public final void setOutput(java.io.File theOutput)

  Sets the file to which output of the container should be written.

  Parameters:
    `theOutput` - The output file to set

### setAppend

    public final void setAppend(boolean isAppend)

  Sets whether output of the container should be appended to an existing file, or the existing file should be truncated.

  Parameters:
    `isAppend` - Whether output should be appended

### execute

    public void execute()

  Start or stop the container depending on the action asked by the user. When starting the container, also prepare a valid container configuration and optionally deploy a war or ear in it.

  See Also:
    `Task.execute()`

### createContainerClasspath

    public org.apache.tools.ant.types.Path createContainerClasspath()

  Adds container classpath to the classpath that will be used for starting the container.

  Returns:
    reference to the classpath

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.